Bug 113714 - Flicker when hovering over main menu with default rendering
Summary: Flicker when hovering over main menu with default rendering
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All Windows (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.3.0 target:6.2.5
Keywords: bibisected, bisected, regression
: 114215 114804 120059 (view as bug list)
Depends on:
Blocks: Main-Menu RenderContext Flickering-UI
  Show dependency treegraph
 
Reported: 2017-11-08 09:16 UTC by Aron Budea
Modified: 2019-06-11 17:09 UTC (History)
17 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-11-08 09:16:41 UTC
Opening this as a fresh start for the original issue in bug 105863, without the interference of bug 112486. When checking for this issue, disregard any LO version between 5.3.2-5.3.6 and 5.4.0-5.4.2 because of that reason.

- Switch to default rendering.
- Start Writer.
- Move mouse over main menu.

=> The menu flickers.

It's Windows-only, and possibly depends on hardware/drivers.
Occurs for me with default rendering both with an AMD RX 570 GPU and an Intel HD Graphics 4000 IGP (in i7-3520M CPU). Does not occur with OpenGL enabled.

Reproduced with 6.0 daily build (2017-11-06_23:18:19), 5.3.0.3, 5.0.0.5 / Windows 7.
Not reproduced with 4.4.0.3.
=> regression

Flickering has started with the comment referenced below. Adding Cc: to Tomaz Vajngerl, please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=458a827e96523ac52d021f1fd3653b5a734940c0
author		Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>	2015-05-15 11:50:30 (GMT)
committer	Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>	2015-05-16 12:57:16 (GMT)

"further refactor Menu to use RenderContext"
Comment 1 V Stuart Foote 2017-11-08 13:17:53 UTC
Also, a more pronounced observance, is with the multi-line text of the Help -> About dialog, what I believe is the same issue. Processing the main menu may be a little to subtle to note the flicker which seems to progress across the menu bar. But the longer text of the about dialog is obvious.
Comment 2 Aron Budea 2017-11-09 01:46:33 UTC
It is hard to say what constitutes "same" issue. The flickering in the about box is much older than this issue, and first appeared in 4.0.0.3 (vs being fine in 3.6.0.4). But of course the underlying behavior what causes the flickering could be closely related.

On another note there's bug 91366 on menu item flickering, which isn't really fixed: the flickering only got restricted to the selected menu item, but is still there. Actually, even the individual toolbar buttons flicker a little upon hovering over them.

It would be nice to learn of a recipe on how similar issues could now be tackled.
Comment 3 MM 2017-11-10 13:16:03 UTC
(In reply to Aron Budea from comment #2)
> It is hard to say what constitutes "same" issue. The flickering in the about
> box is much older than this issue, and first appeared in 4.0.0.3 (vs being
> fine in 3.6.0.4). But of course the underlying behavior what causes the
> flickering could be closely related.
> 
That's odd. Because of bug 105863 I stayed a bit longer with v5.2.7.2 under windows 7 x64. But I can't recall ever seen it flicker before, else I might have reported it. Just upgraded to V5.4.3.2 and the flickering it quite obvious.
Comment 4 Aron Budea 2017-11-11 06:54:35 UTC
(In reply to MM from comment #3)
> That's odd. Because of bug 105863 I stayed a bit longer with v5.2.7.2 under
> windows 7 x64. But I can't recall ever seen it flicker before, else I might
> have reported it. Just upgraded to V5.4.3.2 and the flickering it quite
> obvious.

You could always install an older version separately, and check again.
https://wiki.documentfoundation.org/Installing_in_parallel
Comment 5 MM 2017-11-11 09:06:51 UTC
> You could always install an older version separately, and check again.
> https://wiki.documentfoundation.org/Installing_in_parallel

I've checked it *before* I upgraded. And i've done quite a few reports where i've copied the contents from it.
You can also reproduce the flickering when starting 'Math' and move the mouse over the blocks on the left.
Comment 6 Aron Budea 2017-11-11 10:10:45 UTC
(In reply to MM from comment #5)
> I've checked it *before* I upgraded. And i've done quite a few reports where
> i've copied the contents from it.
Sure, I just mentioned as an option, memory can always deceive us.

> You can also reproduce the flickering when starting 'Math' and move the
> mouse over the blocks on the left.
That's tracked under bug 94582.
Comment 7 wroot 2017-11-12 10:58:38 UTC
I have just upgraded from 5.3.1.2 to 5.4.3.2 (was holding off because of bad fonts rendering) and i see the same flickering of menu on both versions, but not as bad as it was in 5.3.2.2. Actually i haven't even noticed it in 5.3.1.2 until reading these comments (i guess i was too annoyed with the fonts issue). It is not very critical for me personally, as i don't use menus that much, but would be nice to fix.

Windows 7 x64. Nvidia (latest drivers). OpenGL disabled (because of the older issue in 5.1 branch).
Comment 8 george 2017-11-17 12:00:56 UTC
I was having the flickering problem up to now (windows only, not in Linux). I just upgraded to 5.4.3.2 and the flickering is gone!

Windows 10 64bit fully updated // AMD Ryzen 1600 // 16GB RAM // Nvidia GTX 275 latest drivers
Comment 9 Telesto 2017-12-03 13:41:39 UTC
*** Bug 114215 has been marked as a duplicate of this bug. ***
Comment 10 Aron Budea 2018-01-02 15:07:56 UTC
*** Bug 114804 has been marked as a duplicate of this bug. ***
Comment 11 Rainer Bielefeld Retired 2018-01-08 09:58:30 UTC
REPRODUCIBLE with Version: 5.4.4.2 (x64)
Build-ID: 2524958677847fb3bb44820e40380acbe820f960
CPU-Threads: 4; BS: Windows 6.1; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group, my default user profile, Tango theme
OpenGL inactive

and

My PC 64 bit AMD Phenom II X4 955 Processor 3.2 GHz, 4GB RAM, 
Graphic Card: NVIDIA GeForce GT 430, Monitor HANNS-G HL225DBB 1920 x 1080 
WIN7 64 bit.

No problem on different WIN10 machine with Intel i3
Comment 12 V Stuart Foote 2018-07-21 15:49:23 UTC
*** Bug 118856 has been marked as a duplicate of this bug. ***
Comment 13 V Stuart Foote 2018-09-23 16:04:27 UTC
*** Bug 120059 has been marked as a duplicate of this bug. ***
Comment 14 Commit Notification 2019-05-20 18:05:37 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e8d5b8beb5958147235ff955ed38c47b51d860ff%5E%21

tdf#113714 vcl menu bar window: avoid flicker

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Roman Kuznetsov 2019-05-21 09:21:39 UTC
verified in

Version: 6.3.0.0.alpha1+
Build ID: 6d6277f23337c8eae9acabdf830e33fcc3ee9923
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

thank you Miklos for fix!

FYI: Start Center doesn't flicker now also!
Comment 16 Mike Kaganski 2019-05-21 09:26:49 UTC
Supposedly tdf#118856 should be unduped from this now?
Comment 17 Miklos Vajna 2019-05-21 09:28:51 UTC
I think so, I don't see how the root cause would be the same.
Comment 18 Commit Notification 2019-05-29 11:54:06 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/0be7366d87fb2b2c7e3d2091dbfe17660bce057f%5E%21

tdf#113714 vcl menu bar window: avoid flicker

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.